#
# Conditional build:
%bcond_without	python2		# Python 2 module
%bcond_without	python3		# Python 3 module
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Brotli - generic-purpose lossless compression algorithm
Summary(pl.UTF-8):	Brotli - algorytm bezstratnej kompresji ogólnego przeznaczenia
Name:		brotli
Version:	1.0.9
Release:	4
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/google/brotli/releases
Source0:	https://github.com/google/brotli/archive/v%{version}/Brotli-%{version}.tar.gz
# Source0-md5:	c2274f0c7af8470ad514637c35bcee7d
Patch0:		%{name}-pc.patch
URL:		https://github.com/google/brotli/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.7
BuildRequires:	bc
BuildRequires:	cmake >= 2.8.6
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
%{?with_python2:BuildRequires:	python-devel >= 2}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	libbrotli = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling, with a
compression ratio comparable to the best currently available
general-purpose compression methods. It is similar in speed with
deflate but offers more dense compression.

The specification of the Brotli Compressed Data Format is defined in
the following Internet draft:
<http://www.ietf.org/id/draft-alakuijala-brotli>.

%description -l pl.UTF-8
Brotli to algorytm kompresji bezstratnej ogólnego przeznaczenia,
kompresujący dane przy użyciu kombinacji współczesnego wariantu
algorytmu LZ77, kodowania Huffmana oraz modelowania kontekstu 2.
rzędu, ze współczynnikami kompresji porównywalnymi do najlepszych
obecnie dostępnych metod kompresji ogólnego przeznaczenia. Szybkość
jest podobna do deflatingu, ale kompresja jest bardziej zwarta.

Specyfikacja formatu danych kompresji Brotli jest zdefiniowana w
następującym szkicu internetowym:
<http://www.ietf.org/id/draft-alakuijala-brotli>.

%package -n libbrotli
Summary:	Brotli compression encoding/decoding libraries
Summary(pl.UTF-8):	Biblioteki do kodowania/dekodowania kompresji Brotli
Group:		Libraries

%description -n libbrotli
Brotli compression encoding/decoding libraries.

%description -n libbrotli -l pl.UTF-8
Biblioteki do kodowania/dekodowania kompresji Brotli.

%package -n libbrotli-devel
Summary:	Header files for Brotli libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Brotli
Group:		Development/Libraries
Requires:	libbrotli = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description -n libbrotli-devel
Header files for Brotli libraries.

%description -n libbrotli-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Brotli.

%package -n libbrotli-static
Summary:	Static Brotli libraries
Summary(pl.UTF-8):	Statyczne biblioteki Brotli
Group:		Development/Libraries
Requires:	libbrotli-devel = %{version}-%{release}

%description -n libbrotli-static
Static Brotli libraries.

%description -n libbrotli-static -l pl.UTF-8
Statyczne biblioteki Brotli.

%package -n python-brotli
Summary:	Python 2 module for Brotli compression decoding/encoding
Summary(pl.UTF-8):	Moduł Pythona 2 do kodowania/dekodowania kompresji Brotli
Group:		Libraries/Python

%description -n python-brotli
Python 2 module for Brotli compression decoding/encoding.

%description -n python-brotli -l pl.UTF-8
Moduł Pythona 2 do kodowania/dekodowania kompresji Brotli.

%package -n python3-brotli
Summary:	Python 3 module for Brotli compression decoding/encoding
Summary(pl.UTF-8):	Moduł Pythona 3 do kodowania/dekodowania kompresji Brotli
Group:		Libraries/Python

%description -n python3-brotli
Python 3 module for Brotli compression decoding/encoding.

%description -n python3-brotli -l pl.UTF-8
Moduł Pythona 3 do kodowania/dekodowania kompresji Brotli.

%prep
%setup -q
%patch0 -p1

%build
./bootstrap
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libbrotli -p /sbin/ldconfig
%postun	-n libbrotli -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README README.md
%attr(755,root,root) %{_bindir}/brotli

%files -n libbrotli
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbrotlicommon.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrotlicommon.so.1
%attr(755,root,root) %{_libdir}/libbrotlidec.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrotlidec.so.1
%attr(755,root,root) %{_libdir}/libbrotlienc.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libbrotlienc.so.1

%files -n libbrotli-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbrotlicommon.so
%attr(755,root,root) %{_libdir}/libbrotlidec.so
%attr(755,root,root) %{_libdir}/libbrotlienc.so
%{_libdir}/libbrotlicommon.la
%{_libdir}/libbrotlidec.la
%{_libdir}/libbrotlienc.la
%{_includedir}/brotli
%{_pkgconfigdir}/libbrotlicommon.pc
%{_pkgconfigdir}/libbrotlidec.pc
%{_pkgconfigdir}/libbrotlienc.pc

%files -n libbrotli-static
%defattr(644,root,root,755)
%{_libdir}/libbrotlicommon.a
%{_libdir}/libbrotlidec.a
%{_libdir}/libbrotlienc.a

%if %{with python2}
%files -n python-brotli
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_brotli.so
%{py_sitedir}/brotli.py[co]
%{py_sitedir}/Brotli-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-brotli
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_brotli.cpython-*.so
%{py3_sitedir}/brotli.py
%{py3_sitedir}/__pycache__/brotli.cpython-*.py[co]
%{py3_sitedir}/Brotli-%{version}-py*.egg-info
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/brotli.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 34f5db6
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 0ac7cf9
- release 3 (by relup.sh)

* Mon Sep 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 577aeee
- added pc patch (kill -R linker flags unrecognized by compiler from pkg-config --libs output); release 2

* Wed Sep 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 7333e84
- updated to 1.0.9

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> d8d56ec
- BR: bc

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 88ca76f
- rebuild with python 3.8
- release 3 (by relup.sh)

* Fri Dec 28 2018 Jan Rękorajski <baggins@pld-linux.org> 8d0da7a
- release 2 (by relup.sh)

* Tue Oct 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 65a2158
- updated to 1.0.7

* Sat Aug 04 2018 Adam Osuchowski <adwol@pld-linux.org> 5131142
- switch to autotools to build binary with shared library

* Sat Aug 04 2018 Adam Osuchowski <adwol@pld-linux.org> 4d7b27b
- up to 1.0.5

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c3f40be
- release 2 (by relup.sh)

* Sat Apr 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 9feb824
- updated to 1.0.4

* Sat Mar 10 2018 Jakub Bogusz <qboosh@pld-linux.org> dae9e48
- updated to 1.0.3

* Thu Dec 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 78ed5da
- static libraries are built again (even unconditionally), so we can package them in libbrotli-static

* Fri Dec 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 664b6f2
- run ldconfig in libbrotli package

* Fri Dec 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 55c4406
- up to 1.0.2

* Sat Jul 01 2017 Jakub Bogusz <qboosh@pld-linux.org> d2d879c
- updated to 0.6.0, use upstream cmake build system (note: sonames changed)
- static is gone

* Sun Oct 23 2016 Jan Rękorajski <baggins@pld-linux.org> d4eda7c
- this seems broken, eats all memory on x8664 during build and fails to build on other archs

* Sat Aug 20 2016 Marcin Krol <hawk@tld-linux.org> 94d11d1
- updated brotli to release 0.5.2 and libbrotli to recent snapshot

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 5d709d9
- new

